#
# spec file for package openmpi (Version 1.4.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           openmpi
Summary:        A powerful implementaion of MPI
Version:        1.4.2
Release:        0.8.26
License:        BSD 3-Clause
Group:          Development/Libraries/Parallel
Source0:        %{name}-%{version}.tar.bz2
Source1:        mpivars.sh
Source2:        mpivars.csh
Url:            http://www.open-mpi.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  dapl-devel gcc-c++ gcc-fortran libibumad-devel libibverbs-devel mpi-selector sysfsutils
%ifarch x86_64
BuildRequires:  numactl
%endif
Requires:       mpi-selector
ExcludeArch:    s390 s390x
%define _prefix /usr/%_lib/mpi/gcc/%name

%description
Open MPI is a project combining technologies and resources from several
other projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to
build the best MPI library available.

This RPM contains all the tools necessary to compile, link, and run
Open MPI jobs.



Authors:
--------
    Andrew Friedley  
    Thara Angskun               
    George Bosilca              
    Brian Barrett               
    David Daniel                
    Edgar Gabriel               
    Graham Fagg                 
    Gleb Natapov                
    Galen Shipman               
    Greg Watson                 
    Sven Stork                  
    Josh Hursey                 
    Jeff Squyres                
    Mohamad Chaarawi            
    Craig Rasmussen             
    Ralph Castain               
    Rich Graham                 
    Rainer Keller               
    Sushant Sharma              
    Tim Woodall              

%package devel
License:        BSD 3-Clause
Group:          Development/Libraries/Parallel
Summary:        A powerful implementaion of MPI
Requires:       %{name} = %{version} libstdc++-devel libibverbs-devel libibumad-devel

%description devel
Open MPI is a project combining technologies and resources from several
other projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to
build the best MPI library available.

This RPM contains all the tools necessary to compile, link, and run
Open MPI jobs.



Authors:
--------
    Andrew Friedley  
    Thara Angskun               
    George Bosilca              
    Brian Barrett               
    David Daniel                
    Edgar Gabriel               
    Graham Fagg                 
    Gleb Natapov                
    Galen Shipman               
    Greg Watson                 
    Sven Stork                  
    Josh Hursey                 
    Jeff Squyres                
    Mohamad Chaarawi            
    Craig Rasmussen             
    Ralph Castain               
    Rich Graham                 
    Rainer Keller               
    Sushant Sharma              
    Tim Woodall              

%prep
%setup -q

%build
CFLAGS="${CFLAGS} -save-temps"
%configure --with-devel-headers --with-udapl
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
# make and install mpivars files
sed -e 's,prefix,%_prefix,g' -e 's,libdir,%_prefix/%_lib,g' %{S:1} \
    > $RPM_BUILD_ROOT%_bindir/mpivars.sh
sed -e 's,prefix,%_prefix,g' -e 's,libdir,%_prefix/%_lib,g' %{S:2} \
    > $RPM_BUILD_ROOT%_bindir/mpivars.csh

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
/usr/bin/mpi-selector \
        --register %{name}-%{version} \
        --source-dir %{_bindir} \
        --yes
if [ "`/usr/bin/mpi-selector --system --query`" = '' ]; then
  /usr/bin/mpi-selector \
	--system \
	--set %{name}-%{version}
fi

%postun
/sbin/ldconfig
/usr/bin/mpi-selector --unregister %{name}-%{version} --yes

%files
%defattr(-, root, root)
%dir %_prefix
%dir %_prefix/bin
%dir %_prefix/%_lib
%dir %_prefix/share
%dir %_prefix/share/man
%dir %_prefix/share/man/man1
%dir %_prefix/share/man/man3
%dir %_prefix/share/man/man7
%dir %_prefix/include
%config %_sysconfdir/*
%_bindir/*
%_mandir/man1/*
%_libdir/*.so.*
%_libdir/*.mod
%_datadir/%name
%_prefix/share/*.SPEC
%_prefix/share/*-wrapper-data.txt
%_prefix/share/vampirtrace

%files devel
%defattr(-,root,root)
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_libdir/openmpi
%_mandir/man3/*
%_mandir/man7/*
%_includedir/*

%changelog
* Mon Nov 29 2010 pth@suse.de
- Fix mpivars.sh (bnc#625958).
* Thu Nov  4 2010 ro@suse.de
- add ExcludeArch:    s390 s390x
* Mon Oct 25 2010 jjolly@novell.com
- Updated to v1.4.2 from OFED 1.5.2
* Wed May 26 2010 jjolly@novell.com
- Updated to v1.4.1 from OFED 1.5.1
* Thu Mar  4 2010 jjolly@suse.de
- Updated to v1.3.2 from OFED 1.4.2
* Tue Oct 21 2008 jjolly@suse.de
- Updated to v1.2.6 from OFED 1.3.1 release
* Mon Apr 28 2008 jjolly@suse.de
- Added patch to help detect new eHCA hardware (bnc#384361)
* Tue Apr  8 2008 jjolly@suse.de
- Set %%config on files within the %%_sysconfigdir (bnc#377757)
- If MPI system is not set, set the proper system value (bnc#377757)
- Setting proper libdir within mpivars scripts (bnc#377757)
* Fri Feb 29 2008 jjolly@suse.de
- Updated to package from OFED 1.3 GA release
* Thu Jan 31 2008 jjolly@suse.de
- Updated to 1.2.5 from OFED 1.3 rc2
* Sat Jul 14 2007 aj@suse.de
- libnuma is x86-64 only.
* Fri Jul 13 2007 hvogel@suse.de
- build also against libnuma
* Thu Jul 12 2007 hvogel@suse.de
- build against dapl
* Wed Jul 11 2007 hvogel@suse.de
- Initial Package, Version 1.2.2
